Subject: bug#26982: 25.2; emacs crashes after lisp started

From: Pete Bonasso <[email-masked]>
Date: Thu, 18 May 2017 17:13:51 -0500

Alan,

Okay, I made emacs from HEAD, but the same problem occurs, and there are 
other things that are flakey (the Lisp version doesn't show and the 
menus don't have all the options (before I start lisp)), so I went back 
to the stable version.

But here's an interesting observation: on my macbook-pro I can do fn-10 
and the menus show up as a drop down in my emacs window -- and they all 
work!

So I guess that means the problem is related to the interface with the 
mac, maybe with xcode?

Pete

> Alan Third wrote:
>> On Thu, May 18, 2017 at 03:38:31PM -0500, Pete Bonasso wrote:
>>>> Is there any chance you could try the master branch or a nightly
>>>> build? There have been a few crash fixes made in it.
>>>      Yes I can, but how do I do that?  Right now I use: <br>
>>>      <br>
>>>      brew install emacs --with-cocoa<br>
>>>      <br>
>>>      which I thought gets the latest version.<br>
>>>      <br>
>>>      FYI, the universal binary for the Mac, Emacs-25.2-universal.dmg,
>>>      does NOT have this problem.<br>
>>>      Pete<br>
>> Hmmmm, stranger and stranger. I would expect the binary to be
>> essentially identical to the homebrew version.
> Exactly...
>>
>> I believe you can build the master branch in homebrew using:
>>
>>      brew install emacs --HEAD --with-cocoa
> I'll give it a shot and get back to you.
> Pete
>